# API

## &#x20;Total Staked

<mark style="color:blue;">`GET`</mark> `https://api.swipe.org/api?module=stats&action=totalStaked`

This endpoint allows you to retrieve the total amount of SXP staked on the Swipe Network.

{% tabs %}
{% tab title="200 Total Staked SXP successfully retrieved." %}

```
{"status":true,"data":"29855685667325892439200000"}
```

{% endtab %}
{% endtabs %}

## &#x20;Reward Amount

<mark style="color:blue;">`GET`</mark> `https://api.swipe.org/api?module=stats&action=rewardAmount`

This endpoint allows you to retrieve the total amount of SXP earned daily on the Swipe Network.

{% tabs %}
{% tab title="200 Total SXP daily reward successfully retrieved." %}

```
{"status":true,"data":"20000000000000000000000"}
```

{% endtab %}

{% tab title="404 Unsuccessful attempt to retrieve the daily SXP reward amount." %}

```
{"status":false,"message":"Invalid action"}
```

{% endtab %}
{% endtabs %}

## Reward Cycle

<mark style="color:blue;">`GET`</mark> `https://api.swipe.org/api?module=stats&action=rewardCycle`

This endpoint allows you to retrieve the SXP rewards distribution cycle in seconds.

{% tabs %}
{% tab title="200 SXP rewards distribution cycle successfully retrieved." %}

```
{"status":true,"data":"86400"}
```

{% endtab %}

{% tab title="404 Unsuccessful attempt to retrieve the daily SXP reward amount." %}

```
{"status":false,"message":"Invalid action"}
```

{% endtab %}
{% endtabs %}

## Minimum Stake

<mark style="color:blue;">`GET`</mark> `https://api.swipe.org/api?module=stats&action=minimumStakeAmount`

This endpoint allows you to retrieve the minimum SXP required to stake on the Swipe Network.

{% tabs %}
{% tab title="200 Total Staked SXP successfully retrieved." %}

```
{"status":true,"data":"1000000000000000000000"}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.swipe.org/introduction/api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
